<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Koneko\VuexyStoreManager\Models\Currency;

class CurrencySeeder extends Seeder
{
    /**
     * Lista de divisas a insertar.
     */
    protected static array $divisas = [
        ['c_currency' => 'MXN', 'name' => 'Peso mexicano', 'symbol' => '$', 'status' => 1],
        ['c_currency' => 'USD', 'name' => 'Dólar estadounidense', 'symbol' => '$', 'status' => 1],
        ['c_currency' => 'EUR', 'name' => 'Euro', 'symbol' => '€', 'status' => 1],
        ['c_currency' => 'GBP', 'name' => 'Libra esterlina', 'symbol' => '£', 'status' => 1],
        ['c_currency' => 'JPY', 'name' => 'Yen japonés', 'symbol' => '¥', 'status' => 1],
        ['c_currency' => 'CAD', 'name' => 'Dólar canadiense', 'symbol' => 'C$', 'status' => 1],
        ['c_currency' => 'AUD', 'name' => 'Dólar australiano', 'symbol' => 'A$', 'status' => 1],
        ['c_currency' => 'CHF', 'name' => 'Franco suizo', 'symbol' => 'CHF', 'status' => 1],
        ['c_currency' => 'CNY', 'name' => 'Yuan chino', 'symbol' => '¥', 'status' => 1],
        ['c_currency' => 'GTQ', 'name' => 'Quetzal guatemalteco', 'symbol' => 'Q', 'status' => 1],
    ];

    /**
     * Run the database seeds.
     */
    public function run()
    {
        foreach (self::$divisas as $divisa) {
            Currency::updateOrCreate(
                ['c_currency' => $divisa['c_currency']], // Clave única
                $divisa // Valores a insertar/actualizar
            );
        }

        $this->command->info('Divisas insertadas/actualizadas correctamente.');
    }
}
